<?php
/**
 * The Header for our theme.
 * @package Multipurpose Lawyer
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta name="viewport" content="width=device-width">
  <link rel="profile" href="<?php echo esc_url( __( 'http://gmpg.org/xfn/11', 'multipurpose-lawyer' ) ); ?>">
  <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
  
<header role="banner">
  <a class="screen-reader-text skip-link" href="#maincontent"><?php esc_html_e( 'Skip to content', 'multipurpose-lawyer' ); ?><span class="screen-reader-text"><?php esc_html_e('Skip to content','multipurpose-lawyer'); ?></span></a>
  <div id="header">
    <div class="top-bar">
      <div class="container">
        <div class="row">
          <div class="col-lg-4 col-md-6">
            <div class="welcome">
              <?php if ( get_theme_mod('multipurpose_lawyer_welcome_text','') != "" ) {?>
                <p><i class="fas fa-building"></i><?php echo esc_html( get_theme_mod('multipurpose_lawyer_welcome_text','')); ?></p>
              <?php }?>
            </div>
          </div>
          <div class="col-lg-3 col-md-6">
            <?php if ( get_theme_mod('multipurpose_lawyer_email','') != "" ) {?>
              <p><i class="fas fa-at"></i><?php echo esc_html( get_theme_mod('multipurpose_lawyer_email','')); ?></p>
            <?php }?>
          </div>
          <div class="col-lg-2 col-md-6 pr-0">
            <div class="request">
              <?php if ( get_theme_mod('multipurpose_lawyer_request_link','') != "" ) {?>
                <a href="<?php echo esc_url(get_theme_mod('multipurpose_lawyer_request_link','')); ?>"><?php echo esc_html(get_theme_mod('multipurpose_lawyer_request_text','')); ?> <span class="screen-reader-text"><?php esc_html_e('Free A Request','multipurpose-lawyer'); ?></span></a>
              <?php }?>
            </div>
          </div>
          <div class="col-lg-3 col-md-6">
            <?php dynamic_sidebar('social-icon') ?>
          </div>
        </div>
      </div>
    </div>
    <div class="top-header">
      <div class="container">
        <div class="row">
          <div class="col-lg-3 col-md-5">
            <div class="logo">
              <?php if( has_custom_logo() ){ multipurpose_lawyer_the_custom_logo();
               }else{ ?>
              <h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
              <?php $description = get_bloginfo( 'description', 'display' );
              if ( $description || is_customize_preview() ) : ?> 
                <p class="site-description"><?php echo esc_html($description); ?></p>
              <?php endif; }?>
            </div>
          </div>
          <div class="col-lg-8 col-md-4 col-6">
            <div class="toggle-menu responsive-menu">
              <button role="tab" onclick="resMenu_open()"><i class="fas fa-bars"></i><span class="screen-reader-text"><?php esc_html_e('Open Menu','multipurpose-lawyer'); ?></span></button>
            </div>
            <div id="sidelong-menu" class="nav side-nav">
              <nav id="primary-site-navigation" class="nav-menu" role="navigation" aria-label="<?php esc_attr_e( 'Top Menu', 'multipurpose-lawyer' ); ?>">
                <a href="javascript:void(0)" class="closebtn responsive-menu" onclick="resMenu_close()"><i class="fas fa-times"></i><span class="screen-reader-text"><?php esc_html_e('Close Menu','multipurpose-lawyer'); ?></span></a>
                <?php 
                  wp_nav_menu( array( 
                    'theme_location' => 'primary',
                    'container_class' => 'main-menu-navigation clearfix' ,
                    'menu_class' => 'clearfix',
                    'items_wrap' => '<ul id="%1$s" class="%2$s mobile_nav">%3$s</ul>',
                    'fallback_cb' => 'wp_page_menu',
                  ) ); 
                ?>
              </nav>
            </div>
          </div>
          <div class="search-box col-lg-1 col-md-3 col-6">
            <i class="fa fa-search"></i>
          </div>
        </div>
        <div class="serach_outer">
          <div class="closepop"><i class="far fa-window-close"></i></div>
          <div class="serach_inner">
            <?php get_search_form(); ?>
          </div>
        </div> 
      </div>
    </div>
  </div>
</header>