<?php
/**
 * Template Name: Custom home page
 */
get_header(); ?>

<main id="maincontent" role="main">
  <?php do_action('multipurpose_lawyer_above_slider_section'); ?>
  
  <?php if( get_theme_mod('multipurpose_lawyer_slider_hide_show') != ''){ ?>
    <section id="slider">
      <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel"> 
        <?php $content_pages = array();
          for ( $count = 1; $count <= 4; $count++ ) {
            $mod = intval( get_theme_mod( 'multipurpose_lawyer_slidersettings_page' . $count ));
            if ( 'page-none-selected' != $mod ) {
              $content_pages[] = $mod;
            }
          }
          if( !empty($content_pages) ) :
          $args = array(
              'post_type' => 'page',
              'post__in' => $content_pages,
              'orderby' => 'post__in'
          ) ;
          $query = new WP_Query( $args );
          if ( $query->have_posts() ) :
            $i = 1;
        ?>     
        <div class="carousel-inner" role="listbox">
          <?php  while ( $query->have_posts() ) : $query->the_post(); ?>
          <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
            <?php the_post_thumbnail(); ?>
            <div class="carousel-caption d-none d-md-block">
              <div class="inner_carousel">
                <h2><?php the_title();?></h2> 
                <p><?php $excerpt = get_the_excerpt(); echo esc_html( multipurpose_lawyer_string_limit_words( $excerpt,15 ) ); ?></p>
                <div class ="read-more">
                  <a href="<?php the_permalink(); ?>"><?php esc_html_e('READ MORE','multipurpose-lawyer'); ?><span class="screen-reader-text"><?php esc_html_e('READ MORE','multipurpose-lawyer'); ?></span></a>
                </div>                    
              </div>
            </div>
          </div>
          <?php $i++; endwhile; 
          wp_reset_postdata();?>
        </div>
        <?php else : ?>
          <div class="no-postfound"></div>
          <?php endif;
          endif;?>
          <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-angle-left"></i></span>
            <span class="screen-reader-text"><?php esc_html_e('Previous','multipurpose-lawyer'); ?></span>
          </a>
          <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-angle-right"></i></span>
            <span class="screen-reader-text"><?php esc_html_e('Next','multipurpose-lawyer'); ?></span>
          </a>
      </div>  
      <div class="clearfix"></div>
    </section> 
  <?php }?>

  <?php do_action('multipurpose_lawyer_below_slider_section'); ?>

  <?php if( get_theme_mod('multipurpose_lawyer_practice_setting') != ''){ ?>
    <section id="practice">
      <div class="container">
        <div class="row">
          <div class="col-lg-9 col-md-9">
            <?php
              $postData1 =  get_theme_mod('multipurpose_lawyer_practice_setting');
              if($postData1){
                $args = array( 'name' => esc_html($postData1 ,'multipurpose-lawyer'));
                $query = new WP_Query( $args );
                if ( $query->have_posts() ) :
                  while ( $query->have_posts() ) : $query->the_post(); ?>
                    <div class="row">
                      <div class="col-lg-3 col-md-3">
                        <div class="abt-image">
                          <?php the_post_thumbnail(); ?>
                        </div>
                      </div>
                      <div class="col-lg-9 col-md-9  practice-text">
                        <span class="head"><?php the_title(); ?></span>
                        <span><a class="practice-btn" href="<?php the_permalink(); ?>"><?php esc_html_e('OUR PRACTICE','multipurpose-lawyer'); ?><span class="screen-reader-text"><?php esc_html_e('OUR PRACTICE','multipurpose-lawyer'); ?></span></a></span>
                      </div> 
                    </div>         
                  <?php endwhile; 
                  wp_reset_postdata();?>
                  <?php else : ?>
                    <div class="no-postfound"></div>
                  <?php
              endif; }?>
          </div>
          <div class="col-lg-3 col-md-3">
            <div class="call">
              <?php if ( get_theme_mod('multipurpose_lawyer_phone_text','') != "" || get_theme_mod('multipurpose_lawyer_phone_no','') != "" ) {?>
                <p class="heading"><?php echo esc_html( get_theme_mod('multipurpose_lawyer_phone_text','')); ?></p>
                <p><?php echo esc_html( get_theme_mod('multipurpose_lawyer_phone_no','')); ?></p>
              <?php }?>
            </div>
          </div>
        </div>
      </div>
    </section>
  <?php }?>

  <?php do_action('multipurpose_lawyer_below_practice_section'); ?>

  <?php if( get_theme_mod('multipurpose_lawyer_about_setting') != ''){ ?>
    <?php /*--About Us--*/?>
    <section id="about">
      <div class="container">
        <div class="row">
          <?php
            $postData1 =  get_theme_mod('multipurpose_lawyer_about_setting');
            if($postData1){
              $args = array( 'name' => esc_html($postData1 ,'multipurpose-lawyer'));
            $query = new WP_Query( $args );
            if ( $query->have_posts() ) :
              while ( $query->have_posts() ) : $query->the_post(); ?>
                <div class="col-lg-4 col-md-4">
                  <div class="abt-image">
                    <?php the_post_thumbnail(); ?>
                  </div>
                </div>
                <div class="col-lg-8 col-md-8">
                  <h2><?php the_title(); ?></h2>
                  <p><?php the_excerpt(); ?></p>
                  <div class ="read-more">
                    <a href="<?php the_permalink(); ?>"><?php esc_html_e('READ MORE','multipurpose-lawyer'); ?><span class="screen-reader-text"><?php esc_html_e('READ MORE','multipurpose-lawyer'); ?></span></a>
                  </div>
                </div>          
              <?php endwhile; 
              wp_reset_postdata();?>
              <?php else : ?>
                <div class="no-postfound"></div>
              <?php
          endif; }?>
        </div>
      </div>
    </section>
  <?php }?>

  <?php do_action('multipurpose_lawyer_after_about_section'); ?>

  <div class="container">
    <?php while ( have_posts() ) : the_post(); ?>
      <?php the_content(); ?>
    <?php endwhile; // end of the loop. ?>
  </div>
</main>

<?php get_footer(); ?>